#------------------------------------------------------------
%define major		2
%define libname		%mklibname cue %{major}
%define develname	%mklibname cue -d
#------------------------------------------------------------

#------------------------------------------------------------
Summary:	Cuesheet parser library
Name:		libcue
Version:	2.2.1
Release:	%mkrel 2
Source0:	https://github.com/lipnitsk/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		System/Libraries
Url:		https://github.com/lipnitsk/libcue/
BuildRequires:	cmake
BuildRequires:	bison
BuildRequires:	flex

%description
This is a library for parsing cue sheets which describe audio CD images. They
are useful for gapless music playback.
#------------------------------------------------------------

#------------------------------------------------------------
%package -n 	%{libname}
Summary:	Cuesheet parser library
Group:		System/Libraries

%description -n %{libname}
This is a library for parsing cue sheets which describe audio CD images. They
are useful for gapless music playback.
#------------------------------------------------------------

#------------------------------------------------------------
%package -n 	%{develname}
Summary:	Cuesheet parser library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libcue-devel = %{version}-%{release}

%description -n %{develname}
This is a library for parsing cue sheets which describe audio CD images. They
are useful for gapless music playback.
#------------------------------------------------------------

#------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install
#------------------------------------------------------------

#------------------------------------------------------------
%files -n	%{develname}
%{_includedir}/libcue.h
%{_includedir}/libcue
%{_libdir}/libcue.so
%{_libdir}/pkgconfig/libcue.pc
#------------------------------------------------------------

#------------------------------------------------------------
%files -n	%{libname}
%{_libdir}/libcue.so.%{major}
%{_libdir}/libcue.so.%{version}
#------------------------------------------------------------


%changelog
* Sat Feb 15 2020 daviddavid <daviddavid> 2.2.1-2.mga8
+ Revision: 1526573
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.2.1-1.mga7
+ Revision: 1345906
- 2.2.1

* Sun Sep 23 2018 umeabot <umeabot> 2.2.0-2.mga7
+ Revision: 1298796
- Mageia 7 Mass Rebuild

* Thu Nov 16 2017 mjack <mjack> 2.2.0-1.mga7
+ Revision: 1177552
- Updated to version 2.2.0
- Removed patch applied by upstream

* Mon Oct 30 2017 mjack <mjack> 2.1.0-1.mga7
+ Revision: 1175068
- Updated to version 2.1.0
- New major: 2
- Changed build section to work with newer version

* Mon Feb 08 2016 umeabot <umeabot> 1.4.0-6.mga6
+ Revision: 943253
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-5.mga5
+ Revision: 742230
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-4.mga5
+ Revision: 681394
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.0-3.mga4
+ Revision: 506923
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 356935
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 04 2011 ennael <ennael> 1.4.0-1.mga1
+ Revision: 64096
- imported package libcue


* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 550983
- new version
- update file list

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 1.3.0-1mdv2010.1
+ Revision: 463976
- import libcue

